<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Complex</title>
</head>
<body>
    <script>
        let m = +prompt("Введите первое число. Оно должно быть целым и больше 1");
        while (!(Number.isInteger(m) && (m > 1))) {
            m = +prompt("Попробуйте еще раз. Нужно целое число больше 1");
        }
        
        let n = +prompt("Введите второе число. Оно должно быть целым и больше предыдущего числа");
        while (!(Number.isInteger(n) && (n > m))) {
            n = +prompt("Попробуйте еще раз. Нужно целое число больше предыдущего числа");
        }

        start: for (let i = m; i <= n; i++) {
            for (let d = 2; d < i; d++) {
                if (i % d == 0) {
                    continue start;
                }
            }
            console.log(i);
        }
    </script>
</body>
</html>